package commands

// |@@| C

import (
	"context"
	"gardening/src/lib/web_server"
)

type WebCommand struct {
	WebServer *web_server.WebServer
}

func (this *WebCommand) Act(ctx context.Context) error {
	this.WebServer.Setup(ctx)
	return this.WebServer.ListenAndServe(ctx)
}
